/* 
 * Nama File : DoraMPEGPlayer.java 
 * Developed by : Lilik Haryanto 
 */ 

package org.secangkirkopipanas;
 
import javax.microedition.midlet.*; 
import javax.microedition.lcdui.*; 
 
public class DoraMPEGPlayer extends MIDlet implements CommandListener {
     
    private Command cmdExit;
    private Command cmdPlay;
     
    private Display display; 
    private TextField textField;  
    private Gauge gauge; 
    public Form form; 
     
    private static final int GAUGE_LEVELS = 4; 
    private static final int GAUGE_MAX = 12; 
    private static final String DEFAULT_URL =  
        "http://localhost:8181/mpg/video1.mpg";
     
    public DoraMPEGPlayer() { 
        display = Display.getDisplay(this); 
        form = new Form("DoraMPEGPlayer"); 
        textField = new TextField("MPEG Video URL", DEFAULT_URL, 100, 
            TextField.ANY); 
        gauge = new Gauge("Loading MPEG Video", false, GAUGE_MAX, 0); 
        cmdExit = new Command("Exit", Command.EXIT, 2); 
        cmdPlay = new Command("Play", Command.SCREEN, 1); 
        form.addCommand(cmdPlay); 
        form.addCommand(cmdExit); 
        form.setCommandListener(this); 
        form.append(textField); 
    } 
     
    public void startApp() { 
        display.setCurrent(form); 
    } 
     
    public void pauseApp() { 
    } 
     
    public void destroyApp(boolean unconditional) { 
    } 
     
    public void commandAction(Command c, Displayable d) { 
        if (c == cmdExit) { 
            destroyApp(false); 
            notifyDestroyed(); 
        } else if(c == cmdPlay) { 
            gauge.setValue(0); 
            form.append(gauge); 
            DoraMPEGCanvas mpegCanvas = new DoraMPEGCanvas(this); 
            mpegCanvas.initializeVideo(textField.getString()); 
        } 
    } 
     
    public void updateGauge(){ 
        int current = gauge.getValue(); 
        current = (current + GAUGE_MAX/GAUGE_LEVELS); 
        gauge.setValue(current); 
    } 
} 